GNU bug report logs - #39578
27.0.50; [rainbow-mode] #define is colored in c++-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: tastytea <tastytea@HIDDEN>; Keywords: confirmed; dated Wed, 12 Feb 2020 15:33:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39578 <at> debbugs.gnu.org:


Received: (at 39578) by debbugs.gnu.org; 1 Nov 2020 12:22:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 01 07:22:59 2020
Received: from localhost ([127.0.0.1]:35847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZCNu-00074s-U2
	for submit <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:22:59 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kZCNt-00074e-8c
 for 39578 <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:22:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=suh0sDnsAf9xF4Y7cV09qRkPUy+9bF+ISIg1o2b0z/M=; b=Qitl5Q3p4STeJwBGHXa0BoUDfA
 CHa1GRrpoDh6nRysZXk+OWc2A1HdD/PWIMmqentdhV0GKF1z+67Zcq56TfH/ZwvGZild6QKSxY0gG
 r6aa32hHtfoC117eHt45nwe5mNQ/01RrVXiXQ/Ow63xz8g4ENS5ooYZg5Zh1Dp3jQoz0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kZCNk-0008Gi-Ax; Sun, 01 Nov 2020 13:22:50 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Julien Danjou <julien@HIDDEN>
Subject: Re: bug#39578: 27.0.50; [rainbow-mode] #define is colored in c++-mode
References: <20200212160653.47ba4e3d@HIDDEN>
 <87a6w71pqg.fsf@HIDDEN> <m2mu055k7g.fsf@HIDDEN>
 <87a6w3ly91.fsf@HIDDEN> <m2k0v74sny.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEUIBQQiGhtHPjwx
 KypgWFUnHiCQiniooJHEuLGCenDZz8aMe4X///8w5ysyAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+QL
 AQsmO/DtIKEAAAGrSURBVDjLjZK/T+NQDMftXqqu7xEiVmg6ICaSkIWpaqOrgOVClf8AFdgYqvrB
 hBCQiBmBxC0IEOllug3p7p/jvVKgJEZgOT/kT7527GcAAUIIAJDaUb4ZfG3uxOcB212A7mvU9uKd
 OOx40LPrZx3PvL3YTU6DNBukVq5ktpurQT4F10QjRUQWqZhGdE70Bs73M6JTi1Kkw8de7x0M9fc0
 tGgk9XNvRqFIK3SNIzmmPKN0Cvqh33cDz8WuD82gq/0bDRoTjh6G+CUdpzQSISXG+h5L5zMtfrNG
 pSYXbAPUHjigx9gYc5KLv9AoWHAP1h8ulcpx4dhaZcB4vThotKuAsqPieIEBWyq7OFlZrILoiYpC
 MTVaW0/ZmKpx8CNfpUMGBG6NfncY0F+qRf+5E048sR1xQHrgz3kMcBJ9cbPCPhvVW5II4E1WAQaB
 +6IqWT1q6s6wskIIKEwQy7l+DH9eTYZUzoVusDZpGeOypp6EZtvQjktgvhWZ4tJ0zzWiwcdc1uXG
 zhT4H0GnZU7IkU643C4lMX9qB2GweTvTRmJHpjjYzWbr392sQAiUzxdMYtqOsupyAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIwLTExLTAxVDExOjM4OjU5KzAwOjAwB6UZzAAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMC0xMS0wMVQxMTozODo1OSswMDowMHb4oXAAAAAASUVORK5CYII=
X-Now-Playing: Melanie de Biasio's _A stomach is burning_: "One  time"
Date: Sun, 01 Nov 2020 13:22:47 +0100
In-Reply-To: <m2k0v74sny.fsf@HIDDEN> (Julien Danjou's message of "Fri, 30
 Oct 2020 16:53:05 +0100")
Message-ID: <87pn4xe06g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Julien Danjou <julien@HIDDEN> writes: >> So would
 checking
 for a word boundary after the regexp be sufficient? >> Or are there places
 where #000000foobar makes sense and we really want >> to colourize that
 #000000 bit? > > It might be. It [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39578
Cc: tastytea <tastytea@HIDDEN>, 39578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Julien Danjou <julien@HIDDEN> writes:

>> So would checking for a word boundary after the regexp be sufficient?
>> Or are there places where #000000foobar makes sense and we really want
>> to colourize that #000000 bit?
>
> It might be. It's hard to say since I don't have a good memory and there
> is no unit test. :(

Right.  I guess this one will just have to wait until somebody that uses
it tries such a change and sees what the results are...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39578; Package emacs. Full text available.

Message received at 39578 <at> debbugs.gnu.org:


Received: (at 39578) by debbugs.gnu.org; 30 Oct 2020 15:53:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 30 11:53:16 2020
Received: from localhost ([127.0.0.1]:59358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYWiK-0005yd-0y
	for submit <at> debbugs.gnu.org; Fri, 30 Oct 2020 11:53:16 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:36381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1kYWiH-0005yP-8I
 for 39578 <at> debbugs.gnu.org; Fri, 30 Oct 2020 11:53:15 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id E05A35C020F;
 Fri, 30 Oct 2020 11:53:07 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Fri, 30 Oct 2020 11:53:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=danjou.info; h=
 from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-type; s=fm2; bh=qspciO9aNGZOvUmB3FXb3otFr6
 YW9204ft6tygAnt34=; b=fLPNrlOY10Aq6xCOZcVxPfJr5Z9sIMOUv2juVr8F9E
 FsnP9BtKf5gX7bYLPojVGA1FK0ZtIyzISokht/nmE6TUH3WDhVryoI3+PjaVRsoA
 8bYN67h4nZHzB7xFwqtlFARg31RjJmJHrWUwyFchO0a9ONzfmYEvH2KAxoJoLN1z
 Rom99E3Ke1YOcsxdDSE7zmATLcJLKio2GYr3DxVObEMN3KhztiqxjU8g8GC5AerV
 P9QPf2XSHJ4zV56fqK3uCLb9paaAKIBok/QLz0/2IAh3Mv14CEBnZwdu/9VmJ7Hc
 wAHOZyOc15/MR+SMcoNvi3CeTM7np/5dp9DeP5WIBdhw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=qspciO
 9aNGZOvUmB3FXb3otFr6YW9204ft6tygAnt34=; b=gAV9y5FRnOXvRnsbq6eE6i
 RsYZ5F67/AHelF1g7VrWudzvuRhW6KYGd3tmacLhrB0afRopHSQCnTXI2peCPVGN
 CgfLg0/w3Woqap8dTRxOiUVemRL+AmZ93D+4L3kIXARytX89LMh6ZOiMmg/NLLWu
 OHPWCRl/BXgTHyk6/J+hw0UZ5T//Z961Z/Jp2jK2B8kj/baXCoxVvlqrxZlO2A0l
 P2ZR85db7H4AH+fV5INBHGuKK3f7if6t1+6wgYxB4KfDab3fwzvPkPfilO3KCOOv
 pk3cpZEAC0oHrJnm+vEHEC+rZkQdoy+H6l6vW9A7I43zuTTjXuZdZzdmXPQNzWxQ
 ==
X-ME-Sender: <xms:4zacX9Wh5H5vu0j5sUx-fAq__7pBT6mqvhE_XVIlJzd0vjnMEo_yZA>
 <xme:4zacX9lhEJ9wwY5bFUL50hHBHhYElC3oSDDPSwVKX2NbJclL89hqxAo2b_ljfJFnJ
 ucKlOGLBBzshqJoVQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrleehgdejjecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffufhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhulhhivghn
 ucffrghnjhhouhcuoehjuhhlihgvnhesuggrnhhjohhurdhinhhfoheqnecuggftrfgrth
 htvghrnhephffhtdetueevheehudekfeeiveekkeegvdejieeuledttedvvddtvddvleeh
 iedtnecuffhomhgrihhnpegurghnjhhouhdrihhnfhhonecukfhppeekvddrieejrdegtd
 druddvheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhm
 pehjuhhlihgvnhesuggrnhhjohhurdhinhhfoh
X-ME-Proxy: <xmx:4zacX5b3Tsuc6mxSiNJx8HZit4kO8doKJ-o1o-LVBC51N8lm5JDgRQ>
 <xmx:4zacXwWbOxrE4GW7INHCeIh-4wVbFIM-18m_OGb1GkpBkj9cAnz3aw>
 <xmx:4zacX3lDhzPs0tuEGYODf7rqw2KBENtpv2Xsml6XrURAMdhVhJ3UAQ>
 <xmx:4zacX2sx71v_y61nBnlVXYWMtgSGppe-cSPmvaNvdv38BnWOBykSVA>
Received: from abydog (unknown [82.67.40.125])
 by mail.messagingengine.com (Postfix) with ESMTPA id 11C97328005D;
 Fri, 30 Oct 2020 11:53:06 -0400 (EDT)
From: Julien Danjou <julien@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39578: 27.0.50; [rainbow-mode] #define is colored in c++-mode
References: <20200212160653.47ba4e3d@HIDDEN>
 <87a6w71pqg.fsf@HIDDEN> <m2mu055k7g.fsf@HIDDEN>
 <87a6w3ly91.fsf@HIDDEN>
Date: Fri, 30 Oct 2020 16:53:05 +0100
In-Reply-To: <87a6w3ly91.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 30 Oct 2020 13:00:26 +0100")
Message-ID: <m2k0v74sny.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39578
Cc: tastytea <tastytea@HIDDEN>, 39578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Oct 30 2020, Lars Ingebrigtsen wrote:

> It seems like a more general problem to me.  That is, "#def" should be
> colourized, but "#defi" should not?
>
> So would checking for a word boundary after the regexp be sufficient?
> Or are there places where #000000foobar makes sense and we really want
> to colourize that #000000 bit?

It might be. It's hard to say since I don't have a good memory and there
is no unit test. :(

-- 
Julien Danjou
/* Free Software hacker
   https://julien.danjou.info */




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39578; Package emacs. Full text available.

Message received at 39578 <at> debbugs.gnu.org:


Received: (at 39578) by debbugs.gnu.org; 30 Oct 2020 12:00:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 30 08:00:38 2020
Received: from localhost ([127.0.0.1]:56458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYT5C-0003Pb-AX
	for submit <at> debbugs.gnu.org; Fri, 30 Oct 2020 08:00:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kYT5A-0003PP-Te
 for 39578 <at> debbugs.gnu.org; Fri, 30 Oct 2020 08:00:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ob73sYlnCzt7pO45ZcNz808feRNvljaJgmltEVXxrVA=; b=WUfUBY31tyyuTl+Mz/igF2PDFo
 gJZQRYS11j4mz9XW/+PKMOUEq4Yb/ZYQi9uBKkMT81fQqVBiGC0y/s0gFL5tWUxmA4LiL3c9oFnJ2
 gBAnixJsJ10TAO2cIOUugyMHX1qKfIP2oq8XDCVN3qetgxra/wovsYvpCFpSc2r/aHqQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kYT51-0006XW-ER; Fri, 30 Oct 2020 13:00:30 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Julien Danjou <julien@HIDDEN>
Subject: Re: bug#39578: 27.0.50; [rainbow-mode] #define is colored in c++-mode
References: <20200212160653.47ba4e3d@HIDDEN>
 <87a6w71pqg.fsf@HIDDEN> <m2mu055k7g.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEVTZWjDu72itUv/
 //8Wk9QnAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QKHgsLASPRzYUAAAFmSURBVCjPTdDBSsNAEAbg
 2ZAt2FMLXQ+eRbBPEaERvG1k/qA5ebCieQoRevDmwV48VTClmad0ZpOKC9nk29mZ3QktiDgnG6Ek
 FHQ3AGV6nQ+41il75wErm7pn+3YDEHMX4hVsibHynqsCKYx1WMR5EQYgzDlQKFIOAhT5GJnzzJOP
 tBTNieVC15lEx8EDipmir388GJauATzONI+OKEI5ogeKcIx0ugdxhJb+Q4d6jYrdrQFo9Il0eiDq
 0MrSMBHRa7a7aUBcuAQpLq1eghyyVJxaoUZep6JnskEO7gkp0ig+Trp9usOZ0JL69d4bJkJ51q+f
 EjIhWvaNJDhJDVnbYC/kWnn5yg2hJd/Its7tILQU+AIPLp3UkO5FlW2tvYa8ooyoNzHUNNX/e8WO
 btjXJLtvoHeciWz1mFfN3cR/KB9H7KwsT0dwswVp5D3hvkpwhtr6HCNWwNOx2g2qcMSbwz2RVvv8
 BXnUrdjBIGMXAAAAQXRFWHRjb21tZW50AENSRUFUT1I6IGdkLWpwZWcgdjEuMCAodXNpbmcgSUpH
 IEpQRUcgdjYyKSwgcXVhbGl0eSA9IDkwCnd1XskAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMTAt
 MzBUMTE6MTE6MDErMDA6MDDyw4GJAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTEwLTMwVDExOjEx
 OjAxKzAwOjAwg545NQAAAABJRU5ErkJggg==
X-Now-Playing: Tracey Thorn's _Extended Plays 2010-2011_: "Why Does the Wind
 Michel Cleis Remix"
Date: Fri, 30 Oct 2020 13:00:26 +0100
In-Reply-To: <m2mu055k7g.fsf@HIDDEN> (Julien Danjou's message of "Thu, 29
 Oct 2020 12:45:55 +0100")
Message-ID: <87a6w3ly91.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Julien Danjou <julien@HIDDEN> writes: > It's not a bug
 per say since it matches the regexp. > We just need to add even more code
 to avoid matching languages' > keywords. It seems like a more general problem
 to me. That is, "#def" should be colourized, but "#defi" should not? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39578
Cc: tastytea <tastytea@HIDDEN>, 39578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Julien Danjou <julien@HIDDEN> writes:

> It's not a bug per say since it matches the regexp.
> We just need to add even more code to avoid matching languages'
> keywords.

It seems like a more general problem to me.  That is, "#def" should be
colourized, but "#defi" should not?

So would checking for a word boundary after the regexp be sufficient?
Or are there places where #000000foobar makes sense and we really want
to colourize that #000000 bit?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39578; Package emacs. Full text available.

Message received at 39578 <at> debbugs.gnu.org:


Received: (at 39578) by debbugs.gnu.org; 29 Oct 2020 11:46:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 29 07:46:09 2020
Received: from localhost ([127.0.0.1]:52059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kY6Nc-0007ij-AC
	for submit <at> debbugs.gnu.org; Thu, 29 Oct 2020 07:46:09 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:42433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1kY6NX-0007hr-B7
 for 39578 <at> debbugs.gnu.org; Thu, 29 Oct 2020 07:46:07 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id D89B15C00DD;
 Thu, 29 Oct 2020 07:45:57 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Thu, 29 Oct 2020 07:45:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=danjou.info; h=
 from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-type; s=fm2; bh=9KrNiY48jeqQPHyhwBul9c1Foh
 7vbUhiqA4NYvm/qQA=; b=pAw4k7Ek9GzQMyen0VoRGGTlMmezLV4+fuos4y2RzS
 Q5ReeBGyVrBsCMHlblbCB8uUDNJhf5LFQdnd+9qMkR4GrfNRtsqXptpqEQ4BHjsP
 u7tjNdRA+5GpctUT/YC2hmNJFhDVJeplWNtI13Z5TCKtzS2IU9KAKYcgL3XWRirv
 kJYG+BLzDnj+5c9rWIohCG3wSBuOhCghxLi9Gqi95v49hkJli0M5mutByibNMVJD
 DMeG1kNn5i+ST9YrmctFr3f3Xj11gxkJVKR8RzVRMu65Ub6VNYZtaHMl5TbdqzGc
 WOW0+HkzIja7GEC5uwPbt0w3YuJkhxyFXmnt4Vsa+cKg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=9KrNiY
 48jeqQPHyhwBul9c1Foh7vbUhiqA4NYvm/qQA=; b=bTTyATsSi0wGrIk3c2aBUU
 h3OcV1Klry5RWEdKz9sdofB18O4gBK6JUPFmvUdQlukCz9fwbX1RKCL3CSBBFb7z
 ThjisYP1TdldqehP2nEyf/m1GeUkzdarVxjOJIzkiB517KwnkAdLddqJ3t2vDVm/
 j/dUcXraXBotznz10MWsFtOp5N8/rbLKq407N5AFXrCcX6QmyJL3n7/f4jQyKR6n
 PToJ6GrBwJiQCYJNQEiHQCFgyxyMGgejF5sqjHUpA9NCn+5d8gtb/Q8nR4bfMsiE
 xfWo1Z6F74sV7oMQ9QIs2j8lfSJWKGLHaL/SKs2Qo64wJOSoB/5TB5zfhrxQqhKA
 ==
X-ME-Sender: <xms:dauaXwHFzRF48uPz6GjAkFQgHwxIz4hrTLLJSAXmooDEHbQSkDiFBg>
 <xme:dauaX5XjfTbUbFk0adXfRFqTrG9w27pAR_HDRFq7mv6kQw6thylGlg3yoyT-Rcam3
 -9ciWn9V_4soSnL5g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrleefgdefvdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffufhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhulhhivghn
 ucffrghnjhhouhcuoehjuhhlihgvnhesuggrnhhjohhurdhinhhfoheqnecuggftrfgrth
 htvghrnhephffhtdetueevheehudekfeeiveekkeegvdejieeuledttedvvddtvddvleeh
 iedtnecuffhomhgrihhnpegurghnjhhouhdrihhnfhhonecukfhppeekvddrieejrdegtd
 druddvheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhm
 pehjuhhlihgvnhesuggrnhhjohhurdhinhhfoh
X-ME-Proxy: <xmx:dauaX6Iczkixb1LqIRor_ab8aW1wKIqdWjbOBjZqW99kg4MB63ZMQQ>
 <xmx:dauaXyEpt1MAZdyKQSVkD35bWgd8WhshVsMZSJFMaMi50rm5MB8MjQ>
 <xmx:dauaX2Xtn_jq4eF_mbOUMivziA8v4jAEktKsJHXCoBjKB8D6YnJw2A>
 <xmx:dauaX_drEVCTJy6koTtb78QVlCna6DsmbG7ycJDv-FJ2o_dL7RDZLQ>
Received: from abydog (unknown [82.67.40.125])
 by mail.messagingengine.com (Postfix) with ESMTPA id 03E4E328005D;
 Thu, 29 Oct 2020 07:45:56 -0400 (EDT)
From: Julien Danjou <julien@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39578: 27.0.50; [rainbow-mode] #define is colored in c++-mode
References: <20200212160653.47ba4e3d@HIDDEN>
 <87a6w71pqg.fsf@HIDDEN>
Date: Thu, 29 Oct 2020 12:45:55 +0100
In-Reply-To: <87a6w71pqg.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 27 Oct 2020 19:35:35 +0100")
Message-ID: <m2mu055k7g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39578
Cc: tastytea <tastytea@HIDDEN>, 39578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Oct 27 2020, Lars Ingebrigtsen wrote:

Hi there,

> I can confirm that the bug is still present in the current ELPA
> package.  Perhaps Julien has some insight here?  (Cc'd.)

It's not a bug per say since it matches the regexp.
We just need to add even more code to avoid matching languages'
keywords.

-- 
Julien Danjou
;; Free Software hacker
;; https://julien.danjou.info




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39578; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39578 <at> debbugs.gnu.org:


Received: (at 39578) by debbugs.gnu.org; 27 Oct 2020 18:35:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 27 14:35:50 2020
Received: from localhost ([127.0.0.1]:45825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kXTp0-0006Cl-3n
	for submit <at> debbugs.gnu.org; Tue, 27 Oct 2020 14:35:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kXToy-0006CV-FA
 for 39578 <at> debbugs.gnu.org; Tue, 27 Oct 2020 14:35:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=LRDCqTfSjI+H7R7IdIQsl7rcJjkDAzE2WEbv31lbhTY=; b=OtGI/alkqMWSkPH8xk2MLH51rV
 yQ6vSj5IV1J7t8ydcp/VOp+DZ3V0Dmed+LSTsDaMwGgnNZsAibWVxQyVC5cBkYwFwWb/s4083jpvV
 xhbTON1bX/9jkkXW5A9OkdZUymVWsaCyfyX2WVLf5rHD+J6P+g4TC6R1U5OweRhMY/Bs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kXTom-0002Ut-Vt; Tue, 27 Oct 2020 19:35:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: tastytea <tastytea@HIDDEN>
Subject: Re: bug#39578: 27.0.50; [rainbow-mode] #define is colored in c++-mode
References: <20200212160653.47ba4e3d@HIDDEN>
X-Now-Playing: Zola Jesus's _Live at Roadburn_: "Soak"
Date: Tue, 27 Oct 2020 19:35:35 +0100
In-Reply-To: <20200212160653.47ba4e3d@HIDDEN>
 (tastytea@HIDDEN's message of "Wed, 12 Feb 2020 16:06:53 +0100")
Message-ID: <87a6w71pqg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  tastytea <tastytea@HIDDEN> writes: > I found a little
    bug in rainbow-mode 1.0.3. In c-mode and c++-mode it > colors the “#def”
    in #define. > > Minimal init.el (assuming that rainbow-mode is installed):
    > (package-initialize) > (req [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39578
Cc: Julien Danjou <julien@HIDDEN>, 39578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tastytea <tastytea@HIDDEN> writes:

> I found a little bug in rainbow-mode 1.0.3. In c-mode and c++-mode it
> colors the =E2=80=9C#def=E2=80=9D in #define.
>
> Minimal init.el (assuming that rainbow-mode is installed):
> (package-initialize)
> (require 'rainbow-mode)
>
> Minimal C++ example:
> #define XYZ
> int main() {}

I can confirm that the bug is still present in the current ELPA
package.  Perhaps Julien has some insight here?  (Cc'd.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39578; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2020 15:32:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 12 10:32:10 2020
Received: from localhost ([127.0.0.1]:58953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j1tzl-0003FU-IQ
	for submit <at> debbugs.gnu.org; Wed, 12 Feb 2020 10:32:10 -0500
Received: from lists.gnu.org ([209.51.188.17]:35127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tastytea@HIDDEN>) id 1j1tbW-0002eT-TT
 for submit <at> debbugs.gnu.org; Wed, 12 Feb 2020 10:07:07 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51919)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tastytea@HIDDEN>) id 1j1tbV-0000Xb-KB
 for bug-gnu-emacs@HIDDEN; Wed, 12 Feb 2020 10:07:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tastytea@HIDDEN>) id 1j1tbU-0006Fc-3X
 for bug-gnu-emacs@HIDDEN; Wed, 12 Feb 2020 10:07:04 -0500
Received: from cryptoparty-celle.de ([5.189.176.217]:50533)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tastytea@HIDDEN>)
 id 1j1tbT-0006EW-Oz
 for bug-gnu-emacs@HIDDEN; Wed, 12 Feb 2020 10:07:04 -0500
Received: by cryptoparty-celle.de (Postfix, from userid 114)
 id 18FFCC0465; Wed, 12 Feb 2020 16:07:01 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=cryptoparty-celle.de;
 s=mail; t=1581520021;
 bh=7rzEBzWCl9iA2vFAS3i9t1dEiTP+jIyv58QBfqgE5kk=;
 h=Date:From:To:Subject:From;
 b=fwUJ6hNu17l+C1ZNMAcf/8+bRW+YA46uHY4TuqvJa7a/YV3bqfa5kRoORBthgIkNo
 oE1ouwEVe/cMrTXSsOkWDTbSAbHTkAGBIjCS44QoKVCNy6/DloH+8ibh5n+/ovHUn6
 6pMqJukPlkgEg5M2Jy1r65eyEgJCHcp93x8aEtPQ=
Received: from ventiloplattform.tastytea.de
 (p200300C087241D00DB8F400963420609.dip0.t-ipconnect.de
 [IPv6:2003:c0:8724:1d00:db8f:4009:6342:609])
 by cryptoparty-celle.de (Postfix) with ESMTPSA id 9F02EC031F
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Feb 2020 16:06:56 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=cryptoparty-celle.de;
 s=mail; t=1581520016;
 bh=7rzEBzWCl9iA2vFAS3i9t1dEiTP+jIyv58QBfqgE5kk=;
 h=Date:From:To:Subject:From;
 b=CFGRAV7n938WLqwqZfRq0FoaKpqdGKiKEnfUcfKib+9jvrAFDj1D1PCskHI9qU7sP
 7af5V43bsq5R+Qc2el/Ug1ijDFPutiDBrOSroyVYU5EO1GUn/jqdl90SiLjt625hpI
 256vcqLuENm/Nze+T8SLq5hrWh3bm1xjZv+KFwUg=
Date: Wed, 12 Feb 2020 16:06:53 +0100
From: tastytea <tastytea@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; [rainbow-mode] #define is colored in c++-mode
Message-ID: <20200212160653.47ba4e3d@HIDDEN>
Jabber-ID: tastytea@HIDDEN
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/z+Zv.BBEG/Yz4VCtmSjMrz+";
 protocol="application/pgp-signature"; micalg=pgp-sha256
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 5.189.176.217
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 12 Feb 2020 10:32:08 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--Sig_/z+Zv.BBEG/Yz4VCtmSjMrz+
Content-Type: multipart/mixed; boundary="MP_/2.4h=RXv9JOQlPnNY=ytMj="

--MP_/2.4h=RXv9JOQlPnNY=ytMj=
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

Hi,
I found a little bug in rainbow-mode 1.0.3. In c-mode and c++-mode it
colors the =E2=80=9C#def=E2=80=9D in #define.

Minimal init.el (assuming that rainbow-mode is installed):
(package-initialize)
(require 'rainbow-mode)

Minimal C++ example:
#define XYZ
int main() {}

Kind regards, tastytea

--MP_/2.4h=RXv9JOQlPnNY=ytMj=
Content-Type: image/png
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=screenshot_rainbow_define.png
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--MP_/2.4h=RXv9JOQlPnNY=ytMj=--

--Sig_/z+Zv.BBEG/Yz4VCtmSjMrz+
Content-Type: application/pgp-signature
Content-Description: Digitale Signatur von OpenPGP

-----BEGIN PGP SIGNATURE-----

iHUEAREIAB0WIQQ1VSZoZMptf/RapufPw5SX8bJuBwUCXkQUjQAKCRDPw5SX8bJu
B/RdAP95lIcrKQw5VDm2+yXnBbAq24tRrYdrZLxGM3f68uY1NAD/ZOV250H2YuHn
ujBuNGLDIP0bLwPVJq6/7eppxObyeYE=
=K/Ys
-----END PGP SIGNATURE-----

--Sig_/z+Zv.BBEG/Yz4VCtmSjMrz+--




Acknowledgement sent to tastytea <tastytea@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39578; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 1 Nov 2020 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.